<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="../templates/app-template.xhtml">

    <ui:define name="content">
        <h:form id="form">
            <p:dataTable var="project" value="#{projectBean.list()}"
                         rows="12" paginator="true" id="projects" paginationPosition="bottom"
                         paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                <p:column headerText="#" width="50">
                    <h:outputText value="#{rowIndex + 1}"/>
                </p:column>
                <p:column headerText="Name" width="200">
                    <h:outputText value="#{project.name}"/>
                </p:column>
                <p:column headerText="Description" width="200">
                    <h:outputText value="#{project.description}"/>
                </p:column>
                <p:column headerText="Date begin" width="150">
                    <h:outputText value="#{project.dateBegin}">
                        <f:converter converterId="ru.parshin.tm.converter.LocalDateTimeConverter"/>
                    </h:outputText>
                </p:column>
                <p:column headerText="Date end" width="150">
                    <h:outputText value="#{project.dateEnd}">
                        <f:converter converterId="ru.parshin.tm.converter.LocalDateTimeConverter"/>
                    </h:outputText>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-pencil buttons"
                                   ajax="false"
                                   action="#{projectBean.editProject(project)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-trash buttons"
                                   action="#{projectBean.projectDelete(project)}"
                                   update="projects">
                        <p:confirm header="Delete project"
                                   message="Delete project with name: #{project.name}?"
                                   icon="pi pi-exclamation-triangle"/>
                    </p:commandLink>
                </p:column>
            </p:dataTable>
        </h:form>
        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
            <p:commandButton value="Yes" type="button" styleClass="ui-confirmdialog-yes" icon="fa fa-check"/>
            <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="fa fa-times"/>
        </p:confirmDialog>
        <p:linkButton outcome="#{projectBean.newProject()}" styleClass="buttons" value="Create" icon="fa fa-plus"/>
    </ui:define>

</ui:composition>
